Index: /trunk/src/VBox/HostDrivers/linux/Makefile.kmk
===================================================================
--- /trunk/src/VBox/HostDrivers/linux/Makefile.kmk	(revision 41843)
+++ /trunk/src/VBox/HostDrivers/linux/Makefile.kmk	(revision 41844)
@@ -26,4 +26,5 @@
 HostDrivers-scripts_EXEC_SOURCES = \
 	loadall.sh \
+	load.sh \
 	do_dkms=>src/do_dkms \
 	build_in_tmp=>src/build_in_tmp
Index: /trunk/src/VBox/HostDrivers/linux/load.sh
===================================================================
--- /trunk/src/VBox/HostDrivers/linux/load.sh	(revision 41844)
+++ /trunk/src/VBox/HostDrivers/linux/load.sh	(revision 41844)
@@ -0,0 +1,30 @@
+#!/bin/bash
+## @file
+# For development, builds and loads all the host drivers.
+#
+
+#
+# Copyright (C) 2010-2011 Oracle Corporation
+#
+# This file is part of VirtualBox Open Source Edition (OSE), as
+# available from http://www.virtualbox.org. This file is free software;
+# you can redistribute it and/or modify it under the terms of the GNU
+# General Public License (GPL) as published by the Free Software
+# Foundation, in version 2 as it comes in the "COPYING" file of the
+# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+#
+
+MY_DIR=`dirname "$0"`
+MY_DIR=`cd "${MY_DIR}" && pwd`
+if [ ! -d "${MY_DIR}" ]; then
+    echo "Cannot find ${MY_DIR} or it's not a directory..."
+    exit 1;
+fi
+
+set -e
+kmk -C "${MY_DIR}/src/vboxdrv" "$@"
+sudo make -C "${MY_DIR}/src/" unload
+echo "Installing SUPDrv (aka VBoxDrv/vboxdrv)"
+sudo /bin/insmod "${MY_DIR}/src/vboxdrv/vboxdrv.ko"
+                        
